For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update details for a product on a warehouse

Update details for a product on a warehouse

Required permissions: WAREHOUSE

put
/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock/{productUid}/details
Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
warehouseUidstringRequired

Reference to a Warehouse.

Pattern: ^[A-Za-z0-9-_]+
productUidstringRequired

Reference to a Product.

Pattern: ^[A-Za-z0-9-_]+
Body
locationLabelstringOptional
maxStockLevelintegerOptional
minStockLevelintegerOptional
Responses
200

Example response

application/json
averageCostintegerRequired
locationLabelstringRequired
maxStockLevelintegerRequired
minStockLevelintegerRequired
priceintegerRequired
productUidstringRequiredPattern: ^[A-Za-z0-9-_]+
productNamestringRequired
productSkustringRequired
quantityReservedintegerRequired
quantityStockintegerRequired
warehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]+
warehouseNamestringRequired
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
storeNamestringRequired
put/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock/{productUid}/details
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock/{productUid}/details HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 60

{
  "locationLabel": "text",
  "maxStockLevel": 1,
  "minStockLevel": 1
}
200

Example response

{
  "averageCost": 1,
  "locationLabel": "text",
  "maxStockLevel": 1,
  "minStockLevel": 1,
  "price": 1,
  "productUid": "text",
  "productName": "text",
  "productSku": "text",
  "quantityReserved": 1,
  "quantityStock": 1,
  "warehouseUid": "text",
  "warehouseName": "text",
  "storeUid": "text",
  "storeName": "text"
}

Last updated

Was this helpful?